## javax.faces
Class FacesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AbortProcessingException, ConverterException, EvaluationException, ValidatorException

public class FacesException
extends java.lang.RuntimeException

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Constructor Summary
`FacesException()`
`FacesException(java.lang.String message)`
`FacesException(java.lang.String message, java.lang.Throwable cause)`
`FacesException(java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacesException

    public FacesException()

### FacesException

    public FacesException(java.lang.Throwable cause)

### FacesException

    public FacesException(java.lang.String message)

### FacesException

    public FacesException(java.lang.String message,
                          java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()